import { r as registerInstance, h, H as Host } from './index-b7735e0d.js';

const dvnMenuSubItemCss = ":host{cursor:pointer;margin:calc(2 * var(--spacing-unit));white-space:nowrap;display:block;color:var(--color-text-secondary);font-size:0.9em}:host(.highlighted),:host(:hover){color:var(--color-secondary)}:host(.leaned){margin:0}";

let DvnMenuSubItem = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.leaned = false;
    this.highlighted = false;
  }
  render() {
    return (h(Host, { class: {
        highlighted: this.highlighted,
        leaned: this.leaned,
      } }, h("slot", null)));
  }
};
DvnMenuSubItem.style = dvnMenuSubItemCss;

export { DvnMenuSubItem as dvn_menu_sub_item };
